Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002960TestLinkTest Plan (builds, milestones, test assign)public2009-11-19 09:382010-11-06 15:41
Reportergk1981 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 (Prague) 
Summary0002960: Not able to add TestCases to TestPlan in Bulk when number of test cases > 48
DescriptionI have about 71 test cases in my project under 1 test suite.

When the number of test cases are 48, I am able to add the testcases in bulk (all in one go) to the Test Plan.

But when there are 49 or more test cases in my test suite, then i am not able to add/remove test cases in my testplan in bulk.

However, I am able to add each and every testcase individually to Test Plan.

I am using TestLink1.8.4.
Additional InformationI have tried this on both Firefox and IE.

The file size configurations in config.inc.php for TestLink is as given below:

// the maximum allowed file size for each repository entry, default 1MB.
// Also check your PHP settings (default is usually 2MBs)
$tlCfg->repository_max_filesize = 1; //MB


/** [MISC FUNCTIONALITY] */

/** Maximum uploadfile size to importing stuff in TL */
// Also check your PHP settings (default is usually 2MBs)
$tlCfg->import_max_size = '409600'; // in bytes

/** Maximum line size of the imported file */
$tlCfg->import_max_row = '10000'; // in chars

/** Set the default role used for new users */
// - created from the login page.
// - created using user management features
$tlCfg->default_roleid = TL_ROLES_GUEST;

define("TL_REPOSITORY_MAXFILESIZE", 1024*1024*$tlCfg->repository_max_filesize);


// used to draw charts:
$tlCfg->charts_font_path = TL_ABS_PATH . "third_party/pchart/Fonts/tahoma.ttf";
$tlCfg->charts_font_size = 8;
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE and Firefox
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
duplicate of 0003053closedmhavlat The number of Test Cases that can be added to a Test Plan is VERY Low 

-  Notes
(0008768)
Jgaudreau (reporter)
2010-01-22 23:51

Hi guys, as I see, this bug is not really a duplicate of the problem occuring on my side is occurring with/without bulk assignment.

Since the issue only occurs to gk1981 when he's using the bulk adding feature, it's not necessarily the same bug. (But might be related though...)

What do you think?

- Issue History
Date Modified Username Field Change
2009-11-19 09:38 gk1981 New Issue
2009-11-19 09:38 gk1981 Browser => IE and Firefox
2010-01-22 23:47 mhavlat Relationship added duplicate of 0003053
2010-01-22 23:51 Jgaudreau Note Added: 0008768
2010-11-06 15:41 fman Status new => closed
2010-11-06 15:41 fman Assigned To => fman
2010-11-06 15:41 fman Resolution open => fixed
2010-11-06 15:41 fman Fixed in Version => 1.9 (Prague)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker